Subject: B19: Link error between libs linked with -l
From: [email-masked] (Adam Chlipala)

27 Sep 1998 12:04:50 -0700
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: [email-masked]

When I do something like the following:
gcc file.c -l1 -l2
I get linker errors involving functions found in 1 and used in 2.  When
I move a lib to the cwd and do:
gcc file.c lib1.a -l2
all is well.  Am I doing something incorrectly here or is this a bug?

-- Adam Chlipala
   [email-masked]
   http://www.tpu.org/~psion/
   ICQ UIN: 489166

  -----BEGIN GEEK CODE BLOCK-----
  Version: 3.1
  GCS/L/P/SS d- s:- a--- C++$ UL+ UA+$ UB$ P++ W+++ N+ w+ M- V? PS+++
PE++ Y+ t++
  5 X+++ R+++>$ tv b++(+++) DI++ D- G e- h! !r y
  ------END GEEK CODE BLOCK------

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".